$NetBSD$

--- src/jdlib/jdthread.cpp.orig	2009-08-04 03:01:42.000000000 +0900
+++ src/jdlib/jdthread.cpp	2012-06-23 20:39:16.000000000 +0900
@@ -80,7 +80,13 @@
 
     int status;
     pthread_attr_t attr;
+#if defined(PTHREAD_STACK_MIN)
     size_t stacksize = PTHREAD_STACK_MIN + stack_kbyte * 1024;
+#elif defined(_SC_THREAD_STACK_MIN)
+    size_t stacksize = (size_t) sysconf(_SC_THREAD_STACK_MIN) + stack_kbyte * 1024;
+#else
+#error stacksize.
+#endif
     pthread_attr_init( &attr );
     pthread_attr_setstacksize( &attr, stacksize );
     status = pthread_create( &m_thread, &attr, func, arg );
